## MateMixerDeviceSwitch MateMixerDeviceSwitch |

## Functions

MateMixerDeviceSwitchRole | mate_mixer_device_switch_get_role ()
MateMixerDevice * | mate_mixer_device_switch_get_device ()

## Properties

MateMixerDevice * | device | Read / Write / Construct Only
MateMixerDeviceSwitchRole | role | Read / Write / Construct Only

## Types and Values

enum | MateMixerDeviceSwitchRole
| MateMixerDeviceSwitch
struct | MateMixerDeviceSwitchClass

## Object Hierarchy

        GObject
        ╰── MateMixerSwitch
            ╰── MateMixerDeviceSwitch

## Includes

    #include <libmatemixer/matemixer.h>

## Description

## Functions

### mate_mixer_device_switch_get_role ()

    MateMixerDeviceSwitchRole
    mate_mixer_device_switch_get_role (MateMixerDeviceSwitch *swtch);

Gets the role of the switch. The role identifies the purpose of the switch.

#### Parameters

swtch | a MateMixerDeviceSwitch |

#### Returns

the switch role.

### mate_mixer_device_switch_get_device ()

    MateMixerDevice *
    mate_mixer_device_switch_get_device (MateMixerDeviceSwitch *swtch);

#### Parameters

swtch | a MateMixerDeviceSwitch |

## Types and Values

### enum MateMixerDeviceSwitchRole

#### Members

MATE_MIXER_DEVICE_SWITCH_ROLE_UNKNOWN | Unknown device switch role. |
MATE_MIXER_DEVICE_SWITCH_ROLE_PROFILE | The switch changes the active sound device profile. |

### MateMixerDeviceSwitch

    typedef struct _MateMixerDeviceSwitch MateMixerDeviceSwitch;

The MateMixerDeviceSwitch structure contains only private data and should only be accessed using the provided API.

### struct MateMixerDeviceSwitchClass

    struct MateMixerDeviceSwitchClass {
        MateMixerSwitchClass parent_class;
    };

The class structure for MateMixerDeviceSwitch.

#### Members

## Property Details

### The `“device”` property

      “device”                   MateMixerDevice *

Device owning the switch.

Flags: Read / Write / Construct Only

### The `“role”` property

      “role”                     MateMixerDeviceSwitchRole

Role of the switch.

Flags: Read / Write / Construct Only

Default value: MATE_MIXER_DEVICE_SWITCH_ROLE_UNKNOWN